Bug 507432 - Module firstboot_kdump does not contain a class named moduleClass; skipping.
Module firstboot_kdump does not contain a class named moduleClass; skipping.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
low Severity medium
: alpha
: ---
Assigned To: Neil Horman
:
Depends On: 506162
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 14:29 EDT by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.0-14.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-02 05:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new kdump firstboot module (14.88 KB, text/plain)
2009-06-22 15:49 EDT, Neil Horman
no flags Details

  None (edit)
Description Jay Turner 2009-06-22 14:29:46 EDT
Description of problem:
Getting the following message with kexec-tools-2.0.0-13.el6 when attempting to start firstboot:

firstboot ERROR: Module firstboot_kdump does not contain a class named moduleClass; skipping.

Version-Release number of selected component (if applicable):
2.0.0-13.el6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to run firstboot
  
Actual results:
Will get error about moduleClass missing and kdump configuration won't be available in firstboot.

Expected results:
kdump configuration available in firstboot

Additional info:
Note that the fix for bug 506162 blocks this bug.
Comment 1 Neil Horman 2009-06-22 15:49:16 EDT
Created attachment 348990 [details]
new kdump firstboot module

Jay, I don't have a RHEL6 system available at the moment.  Would it be possible
for you to perhaps test this version of the kdump firstboot python module.  All
you need to do is replace the file in /usr/share/kdump/firstboot_kdump.py with
this copy and set RUN_FIRSTBOOT in /etc/sysconfig/firstboot to YES. 
Alternatively, if you want to just point me at a test system I can use, that
would be great too.  Thanks!
Comment 2 Neil Horman 2009-06-23 11:09:09 EDT
fixed in kexec-tools-2.0.0-14.el6.  Thanbks!
Comment 3 Jay Turner 2009-06-23 11:52:14 EDT
Fix confirmed with 2.0.0-14.el6.  Moving to ON_QA.
Comment 4 Jay Turner 2009-11-03 10:21:51 EST
With kexec-tools-2.0.0-36.el6, kdump configuration is not even showing up in firstboot any longer.  Is that intentional?
Comment 5 Jay Turner 2009-11-05 07:38:19 EST
Ignore comment 4.  Appears to be something weird about my laptop.  I testing 2.0.0-36.el6 on a fresh installation and the kdump configuration does indeed appear and the moduleClass error is not present.  Moving to Verified based on the package's presence and testing from the 20091102.0 tree.

Note You need to log in before you can comment on or make changes to this bug.